package my.petstore.entity;

import java.util.Date;

public class OrderStatus extends BaseEntity {

    private OrderStatus() {}
    public OrderStatus(Date timestamp, String status, OrderData orderData) {
        this.timestamp = timestamp;
        this.status = status;
        this.orderData = orderData;
    }

    private Date timestamp;
    private String status;
    private OrderData orderData; // XXX

    public Date getTimestamp() { return timestamp; }
    public void setTimestamp(Date timestamp) { this.timestamp = timestamp; }

    public String getStatus() { return status; }
    public void setStatus(String status) { this.status = status; }

    public OrderData getOrderData() { return orderData; }
    public void setOrderData(OrderData orderData) { this.orderData = orderData; }
}
