<%@ include file="IncludeTop.jsp" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<!-- Support for Spring errors holder -->
<spring:bind path="orderData.*">
  <c:forEach var="error" items="${status.errorMessages}">
    <B><FONT color=RED>
      <BR><c:out value="${error}"/>
    </FONT></B>
  </c:forEach>
</spring:bind>

<form action="<c:url value="/order"/>" method="post">

<input type="hidden" name="page" value="${page}"/>
<TABLE bgcolor="#008800" border=0 cellpadding=3 cellspacing=1 bgcolor="#FFFF88">
<TR bgcolor="#FFFF88"><TD colspan=2>
<FONT color=GREEN size=4><B>Payment Details</B></FONT>
</TD></TR>
<TR bgcolor="#FFFF88"><TD>
Card Type:</TD><TD>
  <spring:bind path="orderData.cardType">
    <select name="<c:out value="${status.expression}"/>">
      <c:forEach var="cardType" items="${creditCardTypes}">
        <option <c:if test="${cardType == status.value}">selected</c:if> value="<c:out value="${cardType}"/>">
        <c:out value="${cardType}"/></option>
	    </c:forEach>
    </select>
  </spring:bind>
</TD></TR>
<TR bgcolor="#FFFF88"><TD>
Card Number:</TD><TD>
  <spring:bind path="orderData.creditCard">
	  <input type="text" name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>"/>
  </spring:bind>
  <font color=red size=2>* Use a fake number!</font>
</TD></TR>
<TR bgcolor="#FFFF88"><TD>
Expiry Date (MM/YYYY):</TD><TD>
  <spring:bind path="orderData.expiryDate">
	  <input type="text" name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>"/>
  </spring:bind>
</TD></TR>

</TABLE>
<P>
<input type="image" src="/petstore/static/images/button_submit.gif">

</form>

<%@ include file="IncludeBottom.jsp" %>
