package my.petstore.entity;

import java.util.HashSet;
import java.util.Set;

public class Category extends NamedEntity {

    private String description;

    private Set<Product> products;

    public String getDescription() { return description; }
    public void setDescription(String description) { this.description = description; }

    public Set<Product> getProducts() { return products; }
    public void setProducts(Set<Product> products) { this.products = products; }

    public static final Category NULL = new Category() {
        {
            setDescription("");
            setProducts(new HashSet<Product>());
        }
    };
}
